Summary:	A fast compress utility
Summary(de.UTF-8):	ein schnelles Komprimierungs-Dienstprogramm
Summary(fr.UTF-8):	Utilitaire rapide de compression
Summary(pl.UTF-8):	Narzędzie do szybkiego kompresowania plików
Summary(tr.UTF-8):	Hızlı bir sıkıştırma aracı
Name:		ncompress
Version:	4.2.4.6
Release:	1
License:	Public Domain
Group:		Applications/Archiving
Source0:	https://downloads.sourceforge.net/ncompress/%{name}-%{version}.tar.gz
# Source0-md5:	d74824b9efad7ce719fae785e6bd9c54
# from man-pages.spec --with tars
Source1:	%{name}-man-pages.tar.xz
# Source1-md5:	d780e5ec6fdceb9f2ab730f0cbae68da
Patch0:		%{name}-make.patch
URL:		https://ncompress.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncompress is a utility that will do fast compression and decompression
compatible with the original *nix compress utility (.Z extensions). It
will not handle gzipped (.gz) images (although gzip can handle
compress images). It is pretty much obsolete - unless you need to
exchange files with some really odd Unix variants, use gzip or bzip2
instead.

%description -l de.UTF-8
ncompress ist ein Utility zur Durchführung schneller Komprimierungen
und Dekomprimierungen, das zu dem Original *nix-Komprimierungs-Utility
(.Z- Erweiterungen) kompatibel ist. gzip-Grafikdateien (.gz) können
damit nicht verarbeitet werden (obwohl gzip mit compress-Dateien
arbeiten kann).

%description -l fr.UTF-8
ncompress est un utilitaire qui effectue une compression et une
décompression rapide avec l'utilitaire de compression *nix original
(extension .Z). Il ne gère pas les images gzippées (.gz) (bien que
gzip puisse gérer les images compress).

%description -l pl.UTF-8
ncompress jest narzędziem umożliwiającym szybką kompresję i
dekompresję plików zgodnym z oryginalnym *niksowym narzędziem o nazwie
compress (tworzy pliki z rozszerzeniem .Z). ncompress nie obsługuje
plików .gz (ale gzip potrafi obsługiwać pliki ncompress-a). ncompress
jest raczej przestarzałym programem - o ile nie potrzebujesz
wymieniać plików z naprawdę starymi *niksami, używaj programów gzip
lub bzip2.

%description -l tr.UTF-8
ncompress, orijinal Un*X compress uygulaması ile uyumlu (.Z uzantılı)
hızlı sıkıştırma ve açma işlemleri yapılmasını sağlar. ncompress gzip
ile sıkıştırılmış dosyalarla işlem yapamaz. (gzip compress ile
sıkıştırılmış dosyalar üzerinde çalışabilir)

%prep
%setup -q -a1
%patch -P0 -p1

%build
%ifarch sparc sparc64 m68k %{arm} ppc ppc64 s390
ENDIAN="1234"
%else
ENDIAN="4321"
%endif

%ifarch alpha ia64 %{x8664} ppc64
OPTCFLAGS="-DNOALLIGN=0"
%else
OPTCFLAGS=""
%endif

%{__make} -f Makefile \
	CC="%{__cc} %{rpmcflags} $OPTCFLAGS" \
	ENDIAN="$ENDIAN"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install compress $RPM_BUILD_ROOT%{_bindir}
ln -sf compress $RPM_BUILD_ROOT%{_bindir}/uncompress

cp -p compress.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo ".so compress.1" > $RPM_BUILD_ROOT%{_mandir}/man1/uncompress.1

tar xf %{SOURCE1} -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Acknowleds Changes LICENSE.txt LZW.INFO README.md UNLICENSE
%attr(755,root,root) %{_bindir}/compress
%attr(755,root,root) %{_bindir}/uncompress
%{_mandir}/man1/compress.1*
%{_mandir}/man1/uncompress.1*
%lang(de) %{_mandir}/de/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(tr) %{_mandir}/tr/man1/*
%changelog
* Thu May 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncompress.git;a=log;h=master

* Thu May 15 2025 Jakub Bogusz <qboosh@pld-linux.org> d83df71
- updated o 4.2.4.6

* Thu May 15 2025 Jakub Bogusz <qboosh@pld-linux.org> 76cf3bc
- use patch -P

* Sat Nov 16 2019 Jakub Bogusz <qboosh@pld-linux.org> f4f21eb
- updated non english man pages

* Fri Nov 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 1fefa79
- updated to 4.2.4.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 6c57e60
- dropped pre-cvs changelog

* Fri Sep 10 2010 Jakub Bogusz <qboosh@pld-linux.org> bc27b81
- updated to 4.2.4.4

* Sun Aug 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 6459d17
- more docs, verbose files
- added CVE notes to previous changelog entry

* Sun Aug 15 2010 zbyniu <zbyniu@pld-linux.org> ab5bf21
- up to 4.2.4.3; project now is on sf.net
[fixes: CVE-2006-1168 CVE-2010-0001]

* Thu Feb 07 2008 ankry <ankry@pld-linux.org> c0fe42b
- unix -> Unix

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 13caa2d
- rel 27

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9e47bca
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aede7a8
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 7e7b551
- orphaned, outdated

* Sat Feb 25 2006 sparky <sparky@pld-linux.org> 7955e5e
- %build rewritten, pass %{__cc}

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> 75e5ff2
- use x8664 macro

* Thu Feb 10 2005 areq <areq@pld-linux.org> 0352291
- from debian

* Thu Feb 10 2005 areq <areq@pld-linux.org> aa1fea1
- add gcc34.patch

* Fri Nov 12 2004 darekr <darekr@pld-linux.org> 5c271a1
- typo

* Fri Jan 02 2004 Jacek Konieczny <jajcus@pld-linux.org> a83ab85
- Release: 26 (STBR after AMD64 fixes)

* Mon Dec 22 2003 Jacek Konieczny <jajcus@pld-linux.org> 6214c5f
- AMD64 support

